create table `ombutel`.`ombu_dial_profiles` (
  `dial_profile_id` int unsigned not null auto_increment,
  `name` varchar(255) not null,
  `music_group_id` int unsigned null default null,
  `allow_parking` enum('none','called','calling','both') not null default 'none',
  `allow_transfer` enum('none','called','calling','both') not null default 'none',
  `call_screening` enum('disabled','memory','no_memory') not null default 'disabled',
  `ringing_tone` enum('yes','no') not null default 'yes',
  `custom_options` varchar(255) null default null,
  primary key (`dial_profile_id`)
);

insert into `ombutel`.`ombu_dial_profiles` (`dial_profile_id`, `name`, `ringing_tone`) values
  (1, 'Default', 'yes');

insert into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
  values ('dial_profiles', 'no', 'no', '1.0.0', 'no');

set @module_id = last_insert_id();

insert into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
  select
    `role_id`,
    @module_id,
    `superadmin`,
    `superadmin`,
    `superadmin`,
    `superadmin`
  from `ombutel`.`ombu_roles`;

insert into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
  select
    'menu.dial_profiles',
    `parent`.`menu_id`,
    @module_id,
    max(`siblings`.`sort`)
  from `ombutel`.`ombu_menu` as `parent`
    left join `ombutel`.`ombu_menu` as `siblings` on (`parent`.`menu_id` = `siblings`.`parent_id`)
  where `parent`.`label` = 'menu.technology_settings' and `parent`.`parent_id` is not null;

alter table `ombutel`.`ombu_extensions`
  add column `dial_profile_id` int unsigned null default null after class_of_service_id,
  add foreign key (`dial_profile_id`) references `ombutel`.`ombu_dial_profiles` (`dial_profile_id`) on delete set null;

alter table `ombutel`.`ombu_trunks`
  add column `dial_profile_id` int unsigned null default null after `class_of_service_id`,
  add foreign key (`dial_profile_id`) references `ombutel`.`ombu_dial_profiles` (`dial_profile_id`) on delete set null;
